curl --request POST \
--url https://api.snowleopard.ai/v1/instances/{instance_id}/response \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userQuery": "How many users signed up last month?"
}
'{
"__type__": "responseStart",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userQuery": "<string>"
}{
"__type__": "apiError",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseStatus": "<string>",
"description": "<string>"
}Endpoints
Response
Execute a natural language query and return the summarized results in natural language.
POST
/
v1
/
instances
/
{instance_id}
/
response
curl --request POST \
--url https://api.snowleopard.ai/v1/instances/{instance_id}/response \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userQuery": "How many users signed up last month?"
}
'{
"__type__": "responseStart",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userQuery": "<string>"
}{
"__type__": "apiError",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseStatus": "<string>",
"description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <api_key>. API keys are created per instance in Snow Leopard Cloud.
Path Parameters
Unique identifier for the instance to query
Body
application/json
Natural language query to execute against your instance's data sources
Example:
"How many users signed up last month?"
Response
Streaming response with newline-delimited JSON objects
- responseStart
- responseData
- responseResult
- earlyTermination
Stream of JSON objects, one per line, in order: responseStart, responseData, responseResult (or earlyTermination)